Foxit PDF SDK

Public Member Functions | Public Attributes | List of all members
foxit::addon::optimization::AuditSpaceSize Class Reference

Structure of audit space, the unit is byte type. More...

Inherits Object.

## Public Member Functions
| AuditSpaceSize ()
| Constructor.
AuditSpaceSize & | operator= (const AuditSpaceSize &data)
| Assign operator. More...

## Public Attributes
uint32 | acroforms
| Total size of AcroForm data in bytes. More...
uint32 | bookmarks
| Total size of bookmarks data in bytes. More...
uint32 | color_space
| Total size of color space definitions in bytes. More...
uint32 | comments_and_3d_contents
| Total size of comments and 3D contents in bytes. More...
uint32 | content_streams
| Total size of all page content streams in bytes. More...
uint32 | cross_ref_tables
| Total size of the cross-reference table in bytes. More...
uint32 | embed_files
| Total size of embedded file streams in bytes. More...
uint32 | extend_graphics_states
| Total size of extended graphics states in bytes. More...
uint32 | fonts
| Total size of embedded fonts in bytes. More...
uint32 | images
| Total size of embedded images in bytes. More...
uint32 | link_annots
| Total size of link annotations in bytes. More...
uint32 | named_destnations
| Total size of named destinations in bytes. More...
uint32 | pattern_infos
| Total size of pattern objects in bytes. More...
uint32 | piece_infos
| Total size of piece information in bytes. More...
uint32 | shading_pattern_infos
| Total size of shading pattern information in bytes. More...
uint32 | structure_infos
| Total size of structural information in bytes. More...
uint32 | thumbs
| Total size of page thumbnails in bytes. More...
uint32 | web_infos
| Total size of web-related metadata in bytes. More...
uint32 | x_object_forms
| Total size of XObject Forms in bytes. More...

## Detailed Description

Structure of audit space, the unit is byte type.

## Member Function Documentation

## ◆ operator=()

AuditSpaceSize& foxit::addon::optimization::AuditSpaceSize::operator= | ( | const AuditSpaceSize & | data | ) |
| inline

Assign operator.

Parameters

  [in] | data | Another Audit Space Size data object, whose value would be assigned to current object.

Returns
  Reference to current object itself.

## Member Data Documentation

## ◆ acroforms

uint32 foxit::addon::optimization::AuditSpaceSize::acroforms

Total size of AcroForm data in bytes.

AcroForms define interactive form fields in PDF documents.

## ◆ bookmarks

uint32 foxit::addon::optimization::AuditSpaceSize::bookmarks

Total size of bookmarks data in bytes.

Bookmarks (or outlines) help navigate a PDF document's content hierarchy.

## ◆ color_space

uint32 foxit::addon::optimization::AuditSpaceSize::color_space

Total size of color space definitions in bytes.

Includes all color space objects like ICC profiles, CalRGB, DeviceN, etc.

## ◆ comments_and_3d_contents

uint32 foxit::addon::optimization::AuditSpaceSize::comments_and_3d_contents

Total size of comments and 3D contents in bytes.

Includes PDF comments and embedded 3D object data, such as U3D or PRC models.

## ◆ content_streams

uint32 foxit::addon::optimization::AuditSpaceSize::content_streams

Total size of all page content streams in bytes.

Content streams include the actual PDF instructions for rendering page content.

## ◆ cross_ref_tables

uint32 foxit::addon::optimization::AuditSpaceSize::cross_ref_tables

Total size of the cross-reference table in bytes.

The cross-reference table maps object numbers to byte offsets in the PDF file.

## ◆ embed_files

uint32 foxit::addon::optimization::AuditSpaceSize::embed_files

Total size of embedded file streams in bytes.

Embedded files include attachments such as spreadsheets, text files, or other documents.

## ◆ extend_graphics_states

uint32 foxit::addon::optimization::AuditSpaceSize::extend_graphics_states

Total size of extended graphics states in bytes.

Extended graphics states control rendering properties like transparency, blend modes, and line styles.

## ◆ fonts

uint32 foxit::addon::optimization::AuditSpaceSize::fonts

Total size of embedded fonts in bytes.

Includes both fully and partially embedded font programs.

## ◆ images

uint32 foxit::addon::optimization::AuditSpaceSize::images

Total size of embedded images in bytes.

Includes all raster images used across the document.

## ◆ link_annots

uint32 foxit::addon::optimization::AuditSpaceSize::link_annots

Total size of link annotations in bytes.

Includes all hyperlink and navigation annotations within the document.

## ◆ named_destnations

uint32 foxit::addon::optimization::AuditSpaceSize::named_destnations

Total size of named destinations in bytes.

Named destinations are predefined navigation targets used by links and outlines.

## ◆ pattern_infos

uint32 foxit::addon::optimization::AuditSpaceSize::pattern_infos

Total size of pattern objects in bytes.

Includes tiling and shading patterns used for fills and strokes.

## ◆ piece_infos

uint32 foxit::addon::optimization::AuditSpaceSize::piece_infos

Total size of piece information in bytes.

PieceInfo is used by some workflows to store private application data.

## ◆ shading_pattern_infos

uint32 foxit::addon::optimization::AuditSpaceSize::shading_pattern_infos

Total size of shading pattern information in bytes.

Covers all shading patterns used for gradient fills.

## ◆ structure_infos

uint32 foxit::addon::optimization::AuditSpaceSize::structure_infos

Total size of structural information in bytes.

Structural information includes tagged PDF structures used for accessibility and reflow.

## ◆ thumbs

uint32 foxit::addon::optimization::AuditSpaceSize::thumbs

Total size of page thumbnails in bytes.

Thumbnails are small preview images associated with pages.

## ◆ web_infos

uint32 foxit::addon::optimization::AuditSpaceSize::web_infos

Total size of web-related metadata in bytes.

Web info may include additional metadata used for web viewing or cataloging.

## ◆ x_object_forms

uint32 foxit::addon::optimization::AuditSpaceSize::x_object_forms

Total size of XObject Forms in bytes.

XObject Forms are reusable content streams that can be drawn multiple times.